package info.bukova.isspst.ui.search;

import info.bukova.isspst.UrlResolverHolder;

import java.util.ArrayList;
import java.util.List;

public class SearchListTransformer {
	
	private UrlResolverHolder urlResolverHolder;
	
	public SearchListTransformer() {
		urlResolverHolder = null;
	}
	
	
	
	public SearchListTransformer(UrlResolverHolder urlResolverHolder) {
		super();
		this.urlResolverHolder = urlResolverHolder;
	}



	public List<SearchResult> transform(List<?> source) {
		List<SearchResult> ret = new ArrayList<SearchResult>();		
		
		for (int i = 0; i < source.size(); i++) {
			ResultTransformer transformer = TransformerFactory.transformerFor(source.get(i));
			if (urlResolverHolder != null) {
				transformer.setUrlResolver(urlResolverHolder.resolverFor(source.get(i).getClass()));
			}
			ret.add(transformer.transformObject(source.get(i)));
		}
		
		return ret;
	}
	
	

}
